fmt_xlonglong(3)

NAME
fmt_xlonglong - write a hexadecimal ASCII representation of an unsigned long long integer

SYNTAX
#include <libowfat/fmt.h> size_t fmt_xlonglong(char *dest,unsigned long long source);

DESCRIPTION
fmt_xlonglong writes an ASCII representation ('0' to '9' and 'a' to 'f', base 16) of source to dest and returns the number of bytes written. fmt_xlonglong does not append \0. If dest equals FMT_LEN (i.e. is zero), fmt_xlonglong returns the number of bytes it would have written. For convenience, fmt.h defines the integer FMT_XLONG to be big enough to contain every possible fmt_xlonglong output plus \0.

SEE ALSO
scan_xlonglong(3)